% POLYREP, a few surface representations
%  Version 1.0.0 16-Mar-2007
%
%  (c) 2007 Jason Turuwhenua
%  j.turuwhenua@auckland.ac.nz
% 
%   Polynomial representations (class form).
%       znk   -   Zernike polynomial class. 
%       bhw   -   Bhatia-Wolf polynomial class.
%       bsp   -   2-D b-spline class.
%
%       these classes provide the following methods : 
%
%           set     - set a property
%           get     - return depth/1st deriv. or get a property
%           getdv   - get 1st deriv.
%           getM    - get matrix M such that depth, z = M*p 
%                     (where p is the coeff row vector.)
%           getMdv  - get matrix M such that 1st deriv. = M*p
%                     (where p is the coeff row vector.)
%           print   - display matrix properties
%           fit     - least squares fit 
%
%   Polynomial representations (function form).
%       zernike - Zernike polynomial. 
%       bhwolf  - Bhatia-Wolf polynomials.
%       bspline - 2-D B-spline. 
%
%   Some additional surfaces (function form).
%       conic       - a conic with curvature (CV) and conic constant (CC)
%       sphere      - a special case of conic (CC = 0)
%       toric       - toric with (Rx, Ry)
%       ellipsoid   - ellipsoid with semi-axes (a, b, c)
%       rkklein     - radial keratotomy (klein) 
%       rksicam     - radial keratotomy (sicam et al.)
%       
%   see DEMO1 for an example of the zernike class form.

