function M = bsp1dgetMdv(p, kt, x)

% BSP1DGETMDV Return a matrix M such that the result of,
% 
%     M*P(:) = y
% 
% is the 1st derivative (strType) of type (i.e., "dzdx" or "dzdy") 
% (where P is original control point matrix).
%
% M = BSP1DGETMDV(p, kt, x, strType).  Here p is the degree, kt is the knot 
% vector (kt) and x is the location of interest.  The variable (strType)
% is either "dzdx" or "dzdy".
% 
% 


M = [];
x = x(:);

% max control point 
m = length(kt) - 1;
n = m - p - 1;

for i = 0:n, % X.cp,    
    M(:,i+1) = bsp1ddv(i, p, kt, x);    
end

return