function [z, varargout] = pupil(x, y, str), 

% PUPIL return plane details.  
% 
% PUPIL(x,y,str). A point (x,y) and str is the height or the 
% derivative. This is pretty much a stub fn.
%
% 5/12/06 added +ve/-ve radius to R.


% PUPIL A plane at the origin. 
% 
% PUPIL(x, y, str). The pair (x, y) is the position in the (x, y) plane, 
% The optional parameter str  is { 'z', 'dzdx', 'dzdy','normal' }.  If str 
% is omitted, the height ('z') will be returned. 
%
% [R, nArgList ] = PUPIL('default').  Returns information for the RAYTRACE 
% toolbox, namely a default pupil surface, along with the argument list.
%
% f = CONIC('inline').  Returns an inline function for the depth function ('z')   .
%
% Examples,
%
%   z = pupil('default')
%   z = pupil(1, 1.5)
%   z = pupil('inline'); z(1, 1.5)
% 

if  ((nargin == 1)&(ischar(x))),
    switch(x),
        case { 'default' }
            z = { };    
            varargout = { { } };
        case { 'inline' },
            z = '0';
            z = inline(z, 'x','y');       
        otherwise,
            error('(PUPIL) Unknown invocation parameter.');
    end
    return
end

if (nargin == 2),
    z = zeros(size(x,1),1);
    return
end
    
switch(str),
    case {'z', 'dzdx', 'dzdy' }
     z = zeros(size(x,1),1);
    case {'normal'}
      z = zeros(size(x,1), 3);
      z(:,3) = -1;
    otherwise,
      error('(PUPIL) Unknown specification requersted.');   
end

return 